function n = nss( salmap , yxt , origimgsize )

% normalized scan path
salmap = salmap - mean(salmap(:));
minV = 0.5 * min( abs(salmap( salmap(:)~=0 )) );
salmap = salmap ./ (std(salmap(:)) + minV);

% remap coordinates
yxt(:,1) = yxt(:,1) * size(salmap,1) / origimgsize(1);
yxt(:,2) = yxt(:,2) * size(salmap,2) / origimgsize(2);
yxt(:,1:2) = round(yxt(:,1:2));

% rule out outside fixations
badrows = (yxt(:,1) < 1) | (yxt(:,2) < 1) | (yxt(:,1) > size(salmap,1)) | (yxt(:,2) > size(salmap,2));
yxt = yxt( ~badrows , : );

% compute nss
n = 0;
for ti = 1 : size(yxt,1)
  n = n + salmap( yxt(ti,1) , yxt(ti,2) ) * yxt(ti,3) ;
end
n = n / sum(yxt(:,3));
