function f = plotFixationsRaw( img , yCoord , xCoord , subjNum , limsize );

if ( nargin < 5 )
  limsize = 300;
end

[img,scale] = limit_to_size( img , limsize );

uSubjs = unique( subjNum );

img = blackenImage( img , 0.4 );

imshow( img ); hold on;

cols = { 'r' , 'g' , 'c' , 'm' , 'y' , 'w' };

for subjInd = 1 : length( uSubjs )

  subj = uSubjs( subjInd );
  ix = find(subjNum == subj);

  col = cols{ mod(subjInd, numel(cols)-1) + 1 };
  
  %plot( xCoord(ix) * scale , yCoord(ix) * scale , [col 'o--'], 'linewidth', 1, 'MarkerFaceColor', col , 'MarkerSize', 7 );

  %plot( xCoord(ix(1)) * scale , yCoord(ix(1)) * scale , [col 'o--'], 'linewidth', 2, 'MarkerFaceColor', col , 'MarkerSize', 12 );

  plot( xCoord(ix) * scale , yCoord(ix) * scale , [col 'o--'], 'linewidth', 1,  'MarkerSize', 7 );

  plot( xCoord(ix(1)) * scale , yCoord(ix(1)) * scale , [col 'o--'], 'linewidth', 2, 'MarkerSize', 12 );


end
  


