function computeSalMaps( algoParams, setParams )

algoNum = algoParams.algoNum;
dataSetDir = setParams.dataSetDir;
setSize = setParams.setImgNum;



sizeMat = zeros(2, setSize);
timeMat = zeros(setSize, algoNum);

salMap = {};
subMap = {};
labT = makecform('srgb2lab');

for imgi = 1 : setSize
	fprintf('Current Image: %d\n', imgi);
	img = imread(sprintf('imgs/%s/%d.jpg', dataSetDir, imgi));
	curSize = size(img);
	sizeMat(:, imgi) = curSize(1:2);
	
	% signature RGB
	param = default_pami_param;
	tic;
	salMap{imgi, 1} = skinnySig(img, param);
	timeMat(imgi, 1) = toc;
	
	% signature LAB
	tic;
	salMap{imgi, 2} = oppoSig(img, param, labT);
	timeMat(imgi, 2) = toc;
	
	% Itti
	tic;
	ittiout = ittikochmap(img , 'CIO' , 0);
	salMap{imgi, 3} = ittiout.master_map;
	timeMat(imgi, 3) = toc;
	
	
	% UNCOMMENT FOR YOUR ALGORITHM
	% 	tic;
	% 	outMap = newSaliency(img);
	% 	timeMat(imgi, 5) = toc;
	% 	outMap = imresize(outMap, 64/imgW);
	% 	salMap{imgi, 5} = mynorm(outMap, param);
	
end



%%
save('salData/salMap.mat', 'salMap');
save('salData/timeMat.mat', 'timeMat');
save('salData/sizeMat.mat', 'sizeMat');

end
